pull_requests: 640484966

This data as json

id node_id number state locked title user body created_at updated_at closed_at merged_at merge_commit_sha assignee milestone draft head base author_association repo url merged_by auto_merge
640484966 MDExOlB1bGxSZXF1ZXN0NjQwNDg0OTY2 1321 closed 0 Bump black from 21.4b2 to 21.5b1 49699333 Bumps [black](https://github.com/psf/black) from 21.4b2 to 21.5b1. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/psf/black/releases">black's releases</a>.</em></p> <blockquote> <h2>21.5b1</h2> <h3><em>Black</em></h3> <ul> <li>Refactor <code>src/black/__init__.py</code> into many files (<a href="https://github-redirect.dependabot.com/psf/black/issues/2206">#2206</a>)</li> </ul> <h3>Documentation</h3> <ul> <li>Replaced all remaining references to the <a href="https://github.com/psf/black/tree/main"><code>master</code></a> branch with the <a href="https://github.com/psf/black/tree/main"><code>main</code></a> branch. Some additional changes in the source code were also made. (<a href="https://github-redirect.dependabot.com/psf/black/issues/2210">#2210</a>)</li> <li>Sigificantly reorganized the documentation to make much more sense. Check them out by heading over to <a href="https://black.readthedocs.io/en/stable/">the stable docs on RTD</a>. (<a href="https://github-redirect.dependabot.com/psf/black/issues/2174">#2174</a>)</li> </ul> <h2>21.5b0</h2> <h4><em>Black</em></h4> <ul> <li>Set <code>--pyi</code> mode if <code>--stdin-filename</code> ends in <code>.pyi</code> (<a href="https://github-redirect.dependabot.com/psf/black/issues/2169">#2169</a>)</li> <li>Stop detecting target version as Python 3.9+ with pre-PEP-614 decorators that are being called but with no arguments (<a href="https://github-redirect.dependabot.com/psf/black/issues/2182">#2182</a>)</li> </ul> <h4><em>Black-Primer</em></h4> <ul> <li>Add <code>--no-diff</code> to black-primer to suppress formatting changes (<a href="https://github-redirect.dependabot.com/psf/black/issues/2187">#2187</a>)</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/psf/black/blob/main/CHANGES.md">black's changelog</a>.</em></p> <blockquote> <h2>21.5b1</h2> <h3><em>Black</em></h3> <ul> <li>Refactor <code>src/black/__init__.py</code> into many files (<a href="https://github-redirect.dependabot.com/psf/black/issues/2206">#2206</a>)</li> </ul> <h3>Documentation</h3> <ul> <li>Replaced all remaining references to the <a href="https://github.com/psf/black/tree/main"><code>master</code></a> branch with the <a href="https://github.com/psf/black/tree/main"><code>main</code></a> branch. Some additional changes in the source code were also made. (<a href="https://github-redirect.dependabot.com/psf/black/issues/2210">#2210</a>)</li> <li>Sigificantly reorganized the documentation to make much more sense. Check them out by heading over to <a href="https://black.readthedocs.io/en/stable/">the stable docs on RTD</a>. (<a href="https://github-redirect.dependabot.com/psf/black/issues/2174">#2174</a>)</li> </ul> <h2>21.5b0</h2> <h3><em>Black</em></h3> <ul> <li>Set <code>--pyi</code> mode if <code>--stdin-filename</code> ends in <code>.pyi</code> (<a href="https://github-redirect.dependabot.com/psf/black/issues/2169">#2169</a>)</li> <li>Stop detecting target version as Python 3.9+ with pre-PEP-614 decorators that are being called but with no arguments (<a href="https://github-redirect.dependabot.com/psf/black/issues/2182">#2182</a>)</li> </ul> <h3><em>Black-Primer</em></h3> <ul> <li>Add <code>--no-diff</code> to black-primer to suppress formatting changes (<a href="https://github-redirect.dependabot.com/psf/black/issues/2187">#2187</a>)</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li>See full diff in <a href="https://github.com/psf/black/commits">compare view</a></li> </ul> </details> <br /> [![Dependabot compatibility score](https://dependabot-badges.githubapp.com/badges/compatibility_score?dependency-name=black&package-manager=pip&previous-version=21.4b2&new-version=21.5b1)](https://docs.github.com/en/github/managing-security-vulnerabilities/about-dependabot-security-updates#about-compatibility-scores) Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`. [//]: # (dependabot-automerge-start) [//]: # (dependabot-automerge-end) --- <details> <summary>Dependabot commands and options</summary> <br /> You can trigger Dependabot actions by commenting on this PR: - `@dependabot rebase` will rebase this PR - `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it - `@dependabot merge` will merge this PR after your CI passes on it - `@dependabot squash and merge` will squash and merge this PR after your CI passes on it - `@dependabot cancel merge` will cancel a previously requested merge and block automerging - `@dependabot reopen` will reopen this PR if it is closed - `@dependabot close` will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually </details> 2021-05-11T13:12:28Z 2021-05-22T23:55:39Z 2021-05-22T23:55:39Z 2021-05-22T23:55:39Z 5e9672c9bb33e41686472db4aa427168f9e67dbe     0 966ced8fe14210fd9ce57322456944f739bf49b8 1b697539f5b53cec3fe13c0f4ada13ba655c88c7 CONTRIBUTOR 107914493 https://github.com/simonw/datasette/pull/1321    

Links from other tables